AutoCAD.Ellipse
Inherits from AutoCAD.Entity
Description
A class that encapsulates an ellipse in a DWG file.
This class is a FlexScript wrapper for the AcDbEllipse class.
AutoCAD.Database db = AutoCAD.Database("C:\\Path\\to\\my\\file.dwg");
if (!db)
return 0;
var iter = db.getBlockTable().getAt("*Model_Space").newIterator();
for (iter.start(); !iter.done(); iter.step()) {
var ent = iter.getEntity();
if (ent.is(AutoCAD.Ellipse)) {
var ellipse = ent.as(AutoCAD.Ellipse);
Vec3 center = ellipse.center;
double startAngle = ellipse.startAngle;
double endAngle = ellipse.endAngle;
double majorRadius = ellipse.majorRadius;
double minorRadius = ellipse.minorRadius;
double radiusRatio = ellipse.radiusRatio;
Vec3 majorAxis = ellipse.majorAxis;
Vec3 minorAxis = ellipse.minorAxis;
...
}
}
Properties
center | The center point of the ellipse. |
endAngle | The end angle of the ellipse. |
majorAxis | The major axis of the ellipse. |
majorRadius | The major radius of the ellipse. |
minorAxis | The minor axis of the ellipse. |
minorRadius | The minor radius of the ellipse. |
radiusRatio | The ratio of the ellipse's major radius to its minor radius. |
startAngle | The start angle of the ellipse. |
Methods
create | Creates a new AutoCAD.Ellipse object. |
Details
Do no remove, this fixes the anchor on doc.flexsim.com
Do no remove, this fixes the anchor on doc.flexsim.com
Do no remove, this fixes the anchor on doc.flexsim.com
Do no remove, this fixes the anchor on doc.flexsim.com
Do no remove, this fixes the anchor on doc.flexsim.com
Do no remove, this fixes the anchor on doc.flexsim.com
Do no remove, this fixes the anchor on doc.flexsim.com
AutoCAD.Ellipse.radiusRatio
double radiusRatio
Description
The ratio of the ellipse's major radius to its minor radius.
The returned value will be in the range 1e-6 to 1.0. When setting this value, you should supply a number within the same range.Do no remove, this fixes the anchor on doc.flexsim.com
Do no remove, this fixes the anchor on doc.flexsim.com
AutoCAD.Ellipse.create()
AutoCAD.Ellipse create( ) |
Returns
AutoCAD.Ellipse | A new AutoCAD.Ellipse object. |
Description
Creates a new AutoCAD.Ellipse object.
var ellipse = AutoCAD.Ellipse.create();